import { MigrationInterface, QueryRunner } from "typeorm";

export class UpdateRootAddIsdeputy11729617727307 implements MigrationInterface {
    name = 'UpdateRootAddIsdeputy11729617727307'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`posMasterAct\` ADD \`statusReport\` varchar(20) NOT NULL COMMENT 'สถานะออกคำสั่ง' DEFAULT 'PENDING'`);
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`posMasterAct\` DROP COLUMN \`statusReport\``);
    }

}
